Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class ConsultSupportAndRepairListRequestType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.ConsultSupportAndRepairListRequestType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ConsultSupportAndRepairListRequestType extends Object implements Serializable
Groeperend element voor de vraag tot consultatie van actieve budgetten onderhoud en herstel.

Java class for ConsultSupportAndRepairListRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultSupportAndRepairListRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="VSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType"/>
             <sequence>
               <element name="SSIN" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}SSINType"/>
               <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType" minOccurs="0"/>
             </sequence>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultSupportAndRepairListRequestType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCareServiceCode()`
  Prestatiecode van het mobiliteitshulpmiddel.
  `String`
  `getSSIN()`
  INSZ van de zorgvrager.
  `String`
  `getVSBReference()`
  De VSB-referentie van de aanvraag.
  `void`
  `setCareServiceCode(String value)`
  Sets the value of the careServiceCode property.
  `void`
  `setSSIN(String value)`
  Sets the value of the ssin property.
  `void`
  `setVSBReference(String value)`
  Sets the value of the vsbReference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultSupportAndRepairListRequestType

    public ConsultSupportAndRepairListRequestType()

- ## Method Details

  - ### getSSIN

    public String getSSIN()
    INSZ van de zorgvrager.
    Returns:
      possible object is `String`

  - ### setSSIN

    public void setSSIN(String value)
    Sets the value of the ssin property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSSIN()`

  - ### getCareServiceCode

    public String getCareServiceCode()
    Prestatiecode van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setCareServiceCode

    public void setCareServiceCode(String value)
    Sets the value of the careServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareServiceCode()`

  - ### getVSBReference

    public String getVSBReference()
    De VSB-referentie van de aanvraag.
    Returns:
      possible object is `String`

  - ### setVSBReference

    public void setVSBReference(String value)
    Sets the value of the vsbReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getVSBReference()`